Package ru.bitel.bgbilling.modules.npay.server.bean.quantity

# Class VoiceLineModuleQuantity

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity
ru.bitel.bgbilling.modules.npay.server.bean.quantity.VoiceLineModuleQuantity

public class VoiceLineModuleQuantity extends ModuleQuantity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity

  `ModuleQuantity.ModuleQuantityResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceLineModuleQuantity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ModuleQuantity.ModuleQuantityResult`
  `getModuleQuantityResult(ResultSet rs)`
  `List<ModuleQuantity.ModuleQuantityResult>`
  `getPeriodQuantity(Connection con, int contractId, Calendar from, Calendar to)`
  `protected String`
  `getQueryJoin()`
  `protected String`
  `getQuerySelect(String fieldDate1, String fieldDate2)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.npay.server.bean.quantity.ModuleQuantity

  `getModuleId, getPeriodsFromTable, getPeriodsFromTable, getQuery, getSids, setModuleId, setSids`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceLineModuleQuantity

    public VoiceLineModuleQuantity()

- ## Method Details

  - ### getPeriodQuantity

    public List<ModuleQuantity.ModuleQuantityResult> getPeriodQuantity(Connection con, int contractId, Calendar from, Calendar to)
    Specified by:
      `getPeriodQuantity` in class `ModuleQuantity`

  - ### getQuerySelect

    protected String getQuerySelect(String fieldDate1, String fieldDate2)
    Overrides:
      `getQuerySelect` in class `ModuleQuantity`

  - ### getQueryJoin

    protected String getQueryJoin()
    Overrides:
      `getQueryJoin` in class `ModuleQuantity`

  - ### getModuleQuantityResult

    protected ModuleQuantity.ModuleQuantityResult getModuleQuantityResult(ResultSet rs) throws SQLException
    Overrides:
      `getModuleQuantityResult` in class `ModuleQuantity`
    Throws:
      `SQLException`